import React from 'react';
import {Swiper, SwiperSlide} from 'swiper/react';
import 'swiper/css';
import 'swiper/css/pagination';
import {Autoplay, Pagination,EffectFade} from "swiper/modules";
import "swiper/css/effect-fade";

export default function SwiperSliderCom({options, children, dotsLabel}) {
    const swiperOptions = {
        ...options,
        pagination: {
            el: `.${dotsLabel}`,
            clickable: true,
        },
    };
    return (
        <>
            <Swiper
                {...swiperOptions}
                modules={[Autoplay, Pagination,EffectFade]}
                className="akyladeSwiper"
            >
                {React.Children.map(children, (child) => (
                    <SwiperSlide>{child}</SwiperSlide>
                ))}
            </Swiper>
            {dotsLabel && <div className={`${dotsLabel}`}></div>}
        </>
    );
}